> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/neovi-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/structures-types-and-defines-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/sub-setting-structures-overview-intrepidcs-api/disk_settings-structure.md).

# DISK\_SETTINGS Structure

**Structure for storage media on the hardware**

{% tabs %}
{% tab title="C/C++ Declare" %}

```cpp
typedef struct __declspec (align(2))
{
   uint8_t disk_layout;
   uint8_t disk_format;
   uint32_t disk_enables;
   uint32_t rsvd0;
   uint32_t rsvd1;
}DISK_SETTINGS;
```

{% endtab %}

{% tab title="Visual Basic .NET Declare" %}

```vbnet
<StructLayout(LayoutKind.Sequential, Pack:=2)> Public Structure DISK_SETTINGS
   Dim disk_layout As Byte
   Dim disk_format As Byte
   Dim disk_enables As UInt32
   Dim rsvd0 As UInt32
   Dim rsvd1 As UInt32
End Structure
```

{% endtab %}

{% tab title="Untitled" %}

```csharp
[StructLayout(LayoutKind.Sequential,Pack=2)]
public struct DISK_SETTINGS
{
   public byte disk_layout;
   public byte disk_format;
   public UInt32 disk_enables;
   public UInt32 rsvd0;
   public UInt32 rsvd1;
}
```

{% endtab %}
{% endtabs %}

#### Remarks

| Item          | Description                                                                                       |
| ------------- | ------------------------------------------------------------------------------------------------- |
| disk\_layout  | <p>Reads the layout of the memory media<br>0=Spanned, 1=RAID0, 2=RAID1, 3=RAID5, 4=Individual</p> |
| disk\_format  | <p>Reads the format of the configured disk<br>0=Unknown, 1=FAT32, 2=exFAT</p>                     |
| disk\_enables | Not Defined                                                                                       |
| rsvd0         | Reserved                                                                                          |
| rsvd1         | Reserved                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/structures-types-and-defines-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/sub-setting-structures-overview-intrepidcs-api/disk_settings-structure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
